from flask import Flask
from werkzeug.middleware.dispatcher import DispatcherMiddleware

from v25 import config
from v25.storage.dbstorage import DBStorage
from v25.web.server.api import API


def simple(_env, resp):
    resp('404 OK', [])
    return []


d = config.get_config('staging-config.json')
config.from_config(d)

app = Flask(__name__)
app.wsgi_app = DispatcherMiddleware(simple, {
    '/v25': API(__name__, DBStorage(d['db']).pushing())
})
app.config['ENV'] = 'staging'
app.run(port=5013)
