import nacl.hash

__all__ = ('Flags',)


class Flags:
    default: str

    def __init__(self, flags: str):
        self.flags: str = flags

    def hash(self):
        return nacl.hash.sha256(self.flags.encode()).decode()

    def joint(self, flags: str):
        return flags.startswith(self.hash())

    def join(self, flags: str):
        h = self.hash()
        if flags.startswith(h):
            return flags
        return h + flags


Flags.default = '<unedited>'
